Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.entity.player
Class BonemealEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.entity.EntityEvent
              net.minecraftforge.event.entity.living.LivingEvent
                  net.minecraftforge.event.entity.player.PlayerEvent
                      net.minecraftforge.event.entity.player.BonemealEvent

    public class BonemealEvent

extends PlayerEvent

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.player.PlayerEvent
`PlayerEvent.BreakSpeed, PlayerEvent.HarvestCheck`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent
`LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent
`EntityEvent.CanUpdate, EntityEvent.EnteringChunk`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.Result`

Field Summary
`int` | `ID`
`World` | `world`
`int` | `X`
`int` | `Y`
`int` | `Z`

Fields inherited from class net.minecraftforge.event.entity.player.PlayerEvent
`entityPlayer`

Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent
`entityLiving`

Fields inherited from class net.minecraftforge.event.entity.EntityEvent
`entity`

Constructor Summary
`BonemealEvent(EntityPlayer player, World world, int id, int x, int y, int z)`

Method Summary
`boolean` | `isHandeled()`
`void` | `setHandeled()`

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, isCancelable, isCanceled, setCanceled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### world

    public final World world

### ID

    public final int ID

### X

    public final int X

### Y

    public final int Y

### Z

    public final int Z

Constructor Detail

### BonemealEvent

    public BonemealEvent(EntityPlayer player,
                         World world,
                         int id,
                         int x,
                         int y,
                         int z)

Method Detail

### setHandeled

    public void setHandeled()

### isHandeled

    public boolean isHandeled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD